QGIS Application - Bug report #7093
Curved labels ignore "Always show upside-down labels"
2013-02-04 06:01 AM - Laurent Gasnier

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16174
Description

Curved labels ignore "Always show upside-down labels".
See curved line without label at the center of the attached screeshot.
Options used for labeling:

- Placement curved

- Above line

- Line orientation dependent position

- Always show upside-down labels

- Maximum angle between curved characters: inside=60 outside=95

Show all labels for this layer

Notice on the screeshot, the combined effects of this bug and bug #5778. So for a straight line from SE to NW (like left "Le Buéch"), the
label is drawned but not on the right side of the line.

History

#1 - 2013-02-08 06:40 PM - Larry Shaffer

- OS version changed from W7 to Any

- Status changed from Open to Feedback

- Target version set to Future Release - Nice to have
- Operating System changed from Windows to Any

Hi Laurent,

Curved labels are always drawn right-side-up (by PAL lib). So, the "Always show upside-down labels" setting should probably just be disabled when

curved placement is chosen, until such time as #5778 is fixed or PAL can be updated to draw curved labels upside-down.

#2 - 2013-02-11 06:35 AM - Laurent Gasnier

Hi Larry,

Thanks for your feedback. Meanwhile, | will find a workaround.

#3 - 2014-10-11 04:37 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Operating System deleted (Any)

- OS version deleted (Any)
#4 - 2016-10-10 05:41 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master

Files

bug_upside_down_curved_label.png

2024-04-28

39.2KB

2013-02-04

Laurent Gasnier

22



